
Figure - Bug #112572
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111047 (New): AF-V2.0-小窗模式

【AF】【EVT】【小窗模式】在多任务管理器的小窗应用中先进入一个应用的小窗模式，不退出的情况下再
通过多任务管理器的小窗应用进入音乐，出现“正在扫描USB储存设备”的提示，音乐小窗不能成功打开
2022-10-14 16:48 - CD TEST-方永红

Status: CLOSED Start date: 2022-10-14

Priority: Normal Due date: 2022-11-11

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244

Reproducibility: Frequently Fixed Version: 2022-11-14

Test Type: IT Root cause: exitRecentTasks 逻辑错误

Description

【前提条件】

1、设备已开机

2、后台无应用运行

【测试步骤】

1、在多任务管理器的小窗应用中先进入一个应用的小窗模式，如视频

2、不退出的情况下再通过多任务管理器的小窗应用进入音乐小窗

【预期结果】

3、正常进入音乐小窗

【实际结果】

3、出现“正在扫描USB储存设备”的提示，音乐小窗不能成功打开

【复现率】

50%

History

#1 - 2022-10-17 14:57 - CD TEST-方永红

- Category changed from 窗口定制 to CD-APP

- Assignee changed from DL FW-王琳 to CD APP-王营

#2 - 2022-10-17 15:02 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李蛟

#3 - 2022-10-18 10:59 - CD APP-李蛟

这个有两方面处理：

1、小窗在进入任务栏时退出，退出任务栏恢复。再次进入任务栏时，点击其它小窗应用，不能正常打开选择的小窗。问题已经修复，等待审核：

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/155514

2、音乐打开时，有可能有相关的判断弹框(比如权限判断、相关的usb是否插入等判断dialog)。例如：桌面长按应用打开小窗也有相应的弹出；与系统原

有的处理逻辑一样，不存在问题。这块如果需要处理，则需要framework部分处理。
#4 - 2022-10-18 14:27 - CD APP-李蛟

- Due date set to 2022-10-19

- Assignee changed from CD APP-李蛟 to CD TEST-方永红

- Fixed Version set to 2022-10-19

- Root cause set to 任务栏退出时，会恢复进入时关闭的小窗。多次进入任务栏退出任务栏，再次打开小窗应用时未停止其原小窗恢复造成。

问题说明：

1、打开小窗时，如果应用存在相关的权限弹出等，都会出现小窗打开后有弹窗罩层。可以用桌面的应用长按打开小窗复现。

2、在任务栏中小窗应用打开后，退出；再次进入任务栏，点击小窗应用，正常打开小窗应用已经进行了修复。

#5 - 2022-10-19 11:35 - CD TEST-方永红

- Assignee changed from CD TEST-方永红 to CD APP-李蛟

麻烦正确更新bug状态

#6 - 2022-10-19 11:51 - CD APP-李蛟

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

■ Current conclusion

已解决了小窗打开不正确的情况，但是对于打开存在有权限弹窗的应用打开时会出现罩层。

■ My analysis

1、打开小窗时，如果应用存在相关的权限弹出等，都会出现小窗打开后有弹窗罩层。可以用桌面的应用长按打开小窗复现。

2、在任务栏中小窗应用打开后，退出；再次进入任务栏，点击小窗应用，正常打开小窗应用已经进行了修复。

■ Next action

解决部分 https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/155514

下一步看是否需要解决有权限或者其它检测类弹窗的应用（即应用本身打开也有弹窗的情况），是否需要解决（android系统本身也就是如此，只是原小

窗是从最近任务中进入就不存在其它弹窗的情况），请找FW。

#7 - 2022-10-19 12:23 - CD APP-李蛟

- Status changed from ASSIGNED to RESOLVED

- Root cause changed from 任务栏退出时，会恢复进入时关闭的小窗。多次进入任务栏退出任务栏，再次打开小窗应用时未停止其原小窗恢复造成。 to 编

码问题

#8 - 2022-10-20 11:33 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038

10.20 验证关闭

#9 - 2022-10-20 11:34 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#10 - 2022-10-26 14:29 - CD TEST-方永红
- Due date changed from 2022-10-19 to 2022-10-27

- Status changed from CLOSED to New

- Assignee changed from CD APP-李蛟 to CD APP-王营

- % Done changed from 100 to 0

- Found Version changed from FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20221014.alpha to FlatBuild_VX1_MCE_xx.xx_FSE.D.user.0.0.0.20221026.alpha

- Verified Version deleted (FlatBuild_VX1_MCE_xx.xx_FSE.R.user.0.0.0.20221020.alpha_0038)

10.26 复现，故重新打开

#11 - 2022-10-26 15:12 - CD APP-王营

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-李德盛

#12 - 2022-10-26 15:56 - CD APP-李德盛

- Assignee changed from CD APP-李德盛 to DL FW-王琳

退出recent时不调用exitRecentTasks就没问题，小窗看一下逻辑

#13 - 2022-10-27 14:44 - CD TEST-方永红

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#14 - 2022-10-27 14:46 - CD TEST-方永红

- Due date changed from 2022-10-27 to 2022-11-11

#15 - 2022-10-31 11:52 - DL FW-王琳

- Assignee changed from DL FW-王琳 to DL FW-张挽强

#16 - 2022-11-01 14:56 - CD TPM-王祥林

- Category changed from CD-APP to 窗口定制

#17 - 2022-11-07 20:10 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V4.0_20221128

请更新bug当前进展和依赖

#18 - 2022-11-11 16:38 - DL FW-张挽强

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from DL FW-张挽强 to CD TEST-方永红

- % Done changed from 0 to 100

- Root cause changed from 编码问题 to exitRecentTasks 逻辑错误

#19 - 2022-11-11 16:54 - DL FW-张挽强

- Fixed Version changed from 2022-10-19 to 2022-11-14

#20 - 2022-11-14 10:54 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211120244
11.14 

bug中所描述的问题已经解决，先关闭

#21 - 2022-11-14 10:54 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-5221FC0 2022-10-14 16-11-07.mp4 6.06 MB 2022-10-14 CD TEST-方永红

141646.txt 7.01 MB 2022-10-14 CD TEST-方永红
